Page MenuHomePhabricator

Migrate donations to new queue
Closed, ResolvedPublic2 Story Points

Description

Base queue consumer prototype is ready for integration with queue2civicrm.

Event Timeline

awight created this task.Mar 30 2016, 6:59 PM
awight set the point value for this task to 2.Apr 22 2016, 6:02 PM
awight moved this task from Backlog to Main queues on the FR-ActiveMQ board.Jul 27 2016, 9:04 PM

Change 302975 had a related patch set uploaded (by Ejegg):
WIP WmfQueueConsumer

https://gerrit.wikimedia.org/r/302975

Change 302975 merged by jenkins-bot:
WmfQueueConsumer to replace dequeue_loop

https://gerrit.wikimedia.org/r/302975

awight updated the task description. (Show Details)Aug 16 2016, 5:44 PM
Ejegg added a subscriber: Ejegg.Aug 17 2016, 10:57 PM

The TransactionalWmfQueueConsumer should be a good class to use for this. You can take a look at https://gerrit.wikimedia.org/r/#/c/301660/ or https://gerrit.wikimedia.org/r/#/c/303316/ for examples of migrating a consumer using the stomp-specific dequeue_loop over to the new queue consumer.

Ejegg assigned this task to XenoRyet.Sep 6 2016, 7:05 PM
Ejegg triaged this task as High priority.

Change 308800 had a related patch set uploaded (by Ejegg):
WIP Get donation queue consumer off ActiveMQ

https://gerrit.wikimedia.org/r/308800

Change 310415 had a related patch set uploaded (by Ejegg):
Clean up DonationQueueConsumer

https://gerrit.wikimedia.org/r/310415

Change 308800 merged by jenkins-bot:
Move donation queue consumer off ActiveMQ

https://gerrit.wikimedia.org/r/308800

Change 310415 merged by Awight:
Clean up DonationQueueConsumer

https://gerrit.wikimedia.org/r/310415

Looks like this is pending deployment now?

Ejegg closed this task as Resolved.Oct 5 2016, 4:39 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM